constituency = {"label": [[], ["S"], ["PP"], ["NP"], ["NP-SBJ"], ["VP"], ["ADJP"], ["SBAR"], ["NP-SBJ-1"], ["NP-SBJ-2"], ["S-1"], ["PRN"], ["SINV"], ["ADVP"], ["SBAR-NOM-SBJ"], ["FRAG", "NP"], ["QP"], ["S-SBJ"], ["NP-LGS"], ["UCP-PRD"], ["PP-PRD"], ["S-ADV"], ["PRT"], ["NP-PRD"], ["ADJP-PRD"], ["NP", "NP"], ["NP", "QP"], ["S-TPC-1"], ["FRAG", "ADJP"], ["NP-SBJ-3"], ["S", "NP-SBJ"], ["NP-ADV"], ["NP-SBJ", "NP"], ["S-NOM"], ["NP-1"], ["NP-TTL"], ["FRAG", "ADVP"], ["NP-2"], ["NP-3"], ["UCP"], ["NP=1", "QP"], ["NP=1"], ["S-NOM-SBJ"], ["S-PRD"], ["SBAR-2"], ["SBAR=2"], ["NP-SBJ-4"], ["S=1"], ["NP=2"], ["NP-PRD", "QP"], ["NP-SBJ=1"], ["NP=2", "QP"], ["FRAG", "NP", "QP"], ["CONJP"], ["SBAR-PRD"], ["S", "NP-SBJ-1"], ["SINV-TPC-1"], ["NP-TPC-2"], ["INTJ"], ["NAC-TMP"], ["NP-PRD", "NP"], ["FW"], ["SBARQ"], ["WHADVP"], ["SQ"], ["FRAG", "PP"], ["NP-1", "NP"],
                          ["SBAR-NOM"], ["SINV-1"], ["ADVP-PRD"], ["SINV", "VP"], ["PP-SBJ"], ["SINV", "S-TPC-1"], ["PP-2"], ["PP=2"], ["NP-2", "QP"], ["WHNP-1"], ["NP-SBJ-5"], ["UCP-1"], ["S-2"], ["NP-SBJ-2", "QP"], ["PP-3"], ["NP-SBJ=2", "QP"], ["PP=3"], ["S-TPC-2"], ["INTJ", "NP"], ["S-TTL"], ["NP-TMP"], ["SBAR-SBJ"], ["NP", "ADJP"], ["SQ-PRD"], ["NP-SBJ-1", "NP"], ["S", "PP"], ["NP-1", "QP"], ["NP-SBJ-2", "NP"], ["SBAR-TPC-1"], ["NP-TPC-1"], ["NP-TPC-4"], ["NP=3"], ["NP-SBJ", "QP"], ["NP-SBJ-6"], ["UU"], ["PERPRES"], ["PARPOL"], ["ADVP-3"], ["ADVP=3"], ["SBAR-NOM-SBJ-1"], ["NP-SBJ-3", "QP"], ["UCP-TPC-1"]], "tag": ["<START>", "<STOP>", "UNK", "IN", "PRP", ",", "NN", "DT", "MD", "VB", "JJ", "-NONE-", ".", "NNP", "CC", "RB", "CD", ":", "FW", "-LRB-", "-RRB-", "SYM", "PRP$", "RP", "WP", "``", "''", "VBZ", "WRB", "UH", "IIN", "VIN", "WEN", "THEYN", "TRIWULANN"]}

entities_ontonotes5 = {"tag2idx": {"PAD": 0, "X": 1, "OTHER": 2, "ADDRESS": 3, "PERSON": 4, "NORP": 5, "FAC": 6, "ORG": 7, "GPE": 8, "LOC": 9, "PRODUCT": 10, "EVENT": 11, "WORK_OF_ART": 12, "LAW": 13, "LANGUAGE": 14, "DATE": 15, "TIME": 16, "PERCENT": 17, "MONEY": 18, "QUANTITY": 19, "ORDINAL": 20, "CARDINAL": 21}, "idx2tag": {
    "0": "PAD", "1": "X", "2": "OTHER", "3": "ADDRESS", "4": "PERSON", "5": "NORP", "6": "FAC", "7": "ORG", "8": "GPE", "9": "LOC", "10": "PRODUCT", "11": "EVENT", "12": "WORK_OF_ART", "13": "LAW", "14": "LANGUAGE", "15": "DATE", "16": "TIME", "17": "PERCENT", "18": "MONEY", "19": "QUANTITY", "20": "ORDINAL", "21": "CARDINAL"}}

entities = {"idx2tag": {"0": "PAD", "1": "X", "2": "OTHER", "3": "organization",
                        "4": "person", "5": "time", "6": "location", "7": "quantity", "8": "law", "9": "event"}}

pos = {"idx2tag": {"0": "PAD", "1": "X", "2": "PROPN", "3": "AUX", "4": "DET", "5": "NOUN", "6": "PRON", "7": "VERB",
                   "8": "ADP", "9": "PUNCT", "10": "ADV", "11": "CCONJ", "12": "SCONJ", "13": "NUM", "14": "ADJ", "15": "PART", "16": "SYM"}}

phoneme_left = {
    0: 0,
    1: 1,
    2: 2,
    3: 3,
    ' ': 4,
    "'": 5,
    '-': 6,
    '`': 7,
    'a': 8,
    'b': 9,
    'c': 10,
    'd': 11,
    'e': 12,
    'f': 13,
    'g': 14,
    'h': 15,
    'i': 16,
    'j': 17,
    'k': 18,
    'l': 19,
    'm': 20,
    'n': 21,
    'o': 22,
    'p': 23,
    'q': 24,
    'r': 25,
    's': 26,
    't': 27,
    'u': 28,
    'w': 29,
    'y': 30,
    'z': 31
}

phoneme_right = {
    0: 0,
    1: 1,
    2: 2,
    3: 3,
    ' ': 4,
    ')': 5,
    ',': 6,
    '.': 7,
    '/': 8,
    ':': 9,
    'A': 10,
    'C': 11,
    'E': 12,
    'I': 13,
    'N': 14,
    'S': 15,
    'Z': 16,
    'a': 17,
    'b': 18,
    'd': 19,
    'e': 20,
    'f': 21,
    'g': 22,
    'h': 23,
    'i': 24,
    'j': 25,
    'k': 26,
    'l': 27,
    'm': 28,
    'n': 29,
    'o': 30,
    'p': 31,
    'r': 32,
    's': 33,
    't': 34,
    'u': 35,
    'w': 36,
    'z': 37,
    '\x8d': 38,
    '«': 39,
    '\xad': 40,
    'Ä': 41,
    'Ò': 42,
    'Ö': 43,
    'â': 44,
    'ø': 45,
    'ù': 46
}

jawi_left = {
    0: 0,
    1: 1,
    2: 2,
    3: 3,
    ' ': 4,
    '!': 5,
    '"': 6,
    "'": 7,
    '(': 8,
    ')': 9,
    '+': 10,
    ',': 11,
    '-': 12,
    '.': 13,
    '0': 14,
    '1': 15,
    '2': 16,
    '3': 17,
    '4': 18,
    '5': 19,
    '6': 20,
    '7': 21,
    '8': 22,
    '9': 23,
    ':': 24,
    ';': 25,
    '?': 26,
    'A': 27,
    'B': 28,
    'C': 29,
    'D': 30,
    'E': 31,
    'F': 32,
    'G': 33,
    'H': 34,
    'I': 35,
    'J': 36,
    'K': 37,
    'L': 38,
    'M': 39,
    'N': 40,
    'O': 41,
    'P': 42,
    'Q': 43,
    'R': 44,
    'S': 45,
    'T': 46,
    'U': 47,
    'V': 48,
    'W': 49,
    'X': 50,
    'Y': 51,
    'Z': 52,
    'a': 53,
    'b': 54,
    'c': 55,
    'd': 56,
    'e': 57,
    'f': 58,
    'g': 59,
    'h': 60,
    'i': 61,
    'j': 62,
    'k': 63,
    'l': 64,
    'm': 65,
    'n': 66,
    'o': 67,
    'p': 68,
    'q': 69,
    'r': 70,
    's': 71,
    't': 72,
    'u': 73,
    'v': 74,
    'w': 75,
    'x': 76,
    'y': 77,
    'z': 78
}

jawi_right = {
    0: 0, 1: 1, 2: 2, 3: 3, ' ': 4, '!': 5, '"': 6, '-': 7, '.': 8, ':': 9, ';': 10, '،': 11, '؟': 12, 'ء': 13, 'آ': 14, 'أ': 15, 'ؤ': 16, 'إ': 17, 'ئ': 18, 'ا': 19, 'ب': 20, 'ة': 21, 'ت': 22, 'ث': 23, 'ج': 24, 'ح': 25, 'خ': 26, 'د': 27, 'ذ': 28, 'ر': 29, 'ز': 30, 'س': 31, 'ش': 32, 'ص': 33, 'ض': 34,
    'ط': 35, 'ظ': 36, 'ع': 37, 'غ': 38, 'ف': 39, 'ق': 40, 'ك': 41, 'ل': 42, 'م': 43, 'ن': 44, 'ه': 45, 'و': 46, 'ى': 47, 'ي': 48, 'ّ': 49, 'ٓ': 50, '٠': 51, '١': 52, '٢': 53, '٣': 54, '٤': 55, '٥': 56, '٦': 57, '٧': 58, '٨': 59, '٩': 60, 'چ': 61, 'ڠ': 62, 'ڤ': 63, 'ڬ': 64, 'ڽ': 65, 'ۏ': 66, '﴾': 67, '﴿': 68
}

jawi_t2t = {
    0: 0,
    1: 1,
    2: 2,
    3: 3,
    ' ': 4,
    '!': 5,
    '"': 6,
    "'": 7,
    '(': 8,
    ')': 9,
    '+': 10,
    ',': 11,
    '-': 12,
    '.': 13,
    '0': 14,
    '1': 15,
    '2': 16,
    '3': 17,
    '4': 18,
    '5': 19,
    '6': 20,
    '7': 21,
    '8': 22,
    '9': 23,
    ':': 24,
    ';': 25,
    '?': 26,
    'A': 27,
    'B': 28,
    'C': 29,
    'D': 30,
    'E': 31,
    'F': 32,
    'G': 33,
    'H': 34,
    'I': 35,
    'J': 36,
    'K': 37,
    'L': 38,
    'M': 39,
    'N': 40,
    'O': 41,
    'P': 42,
    'Q': 43,
    'R': 44,
    'S': 45,
    'T': 46,
    'U': 47,
    'V': 48,
    'W': 49,
    'X': 50,
    'Y': 51,
    'Z': 52,
    'a': 53,
    'b': 54,
    'c': 55,
    'd': 56,
    'e': 57,
    'f': 58,
    'g': 59,
    'h': 60,
    'i': 61,
    'j': 62,
    'k': 63,
    'l': 64,
    'm': 65,
    'n': 66,
    'o': 67,
    'p': 68,
    'q': 69,
    'r': 70,
    's': 71,
    't': 72,
    'u': 73,
    'v': 74,
    'w': 75,
    'x': 76,
    'y': 77,
    'z': 78,
    '،': 79,
    '؟': 80,
    'ء': 81,
    'آ': 82,
    'أ': 83,
    'ؤ': 84,
    'إ': 85,
    'ئ': 86,
    'ا': 87,
    'ب': 88,
    'ة': 89,
    'ت': 90,
    'ث': 91,
    'ج': 92,
    'ح': 93,
    'خ': 94,
    'د': 95,
    'ذ': 96,
    'ر': 97,
    'ز': 98,
    'س': 99,
    'ش': 100,
    'ص': 101,
    'ض': 102,
    'ط': 103,
    'ظ': 104,
    'ع': 105,
    'غ': 106,
    'ف': 107,
    'ق': 108,
    'ك': 109,
    'ل': 110,
    'م': 111,
    'ن': 112,
    'ه': 113,
    'و': 114,
    'ى': 115,
    'ي': 116,
    'ّ': 117,
    'ٓ': 118,
    '٠': 119,
    '١': 120,
    '٢': 121,
    '٣': 122,
    '٤': 123,
    '٥': 124,
    '٦': 125,
    '٧': 126,
    '٨': 127,
    '٩': 128,
    'چ': 129,
    'ڠ': 130,
    'ڤ': 131,
    'ڬ': 132,
    'ڽ': 133,
    'ۏ': 134,
    '﴾': 135,
    '﴿': 136
}
